#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{purchasing.PaketCtr.index()}">&{'daftar_paket.label'}</a></li>
                <li><a href="${paket?.getDetailUrl()}">&{'detail_paket.label'}</a></li>
                <li><a href="${paket?.getPaymentHistory()}">&{'pembayaran.label'}</a></li>
                <li class="active">&{'tambah_verifikasi.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                <a href="${paket?.getPaymentHistory()}" class="btn btn-sm btn-default"><i class="fa fa-arrow-circle-left"></i> &{'cancel'}</a>
            </div>
            <!-- End Toolbar -->
        </div>
    </div>

    <div class="row">
        <div class="wizard-form-wrapper">
            <div class="padded">
                <div id="rootwizard">
                    <div class="wizard-header">
                        <div class="row">
                            <div class="col-md-3">
                                <h4>&{'tambah_pembayaran.label'}</h4>
                            </div>
                            <div class="col-md-5 col-md-offset-4">
                                <div class="pull-right">
                                    <div class="navbar">
                                        <div class="navbar-inner">
                                            <ul class="nav nav-pills">
                                                <li class="active">
                                                    <a href="#tab1" data-toggle="tab" class="btn-circle">1</a>
                                                    <span>&{'pilih_pengiriman.label'}</span>
                                                </li>
                                                <li>
                                                    <a href="#tab2" data-toggle="tab" class="btn-circle">2</a>
                                                    <span>&{'detail_input_verifikasi.label'}</span>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="wizard-body">
                        <div class="panel panel-default">
                            <div class="panel-body">
                                <div class="row">
                                    <form class="form-horizontal input-form" enctype="multipart/form-data" method="POST" action="@{storeVerification(paket?.id)}">
                                        <input type="hidden" name="model.items" class="selected-items" value="">
                                        <input type="hidden" name="model.deletedItems" class="deleted-items" value="">
                                        <input name="model.action" value="${action}" type="hidden">
                                        <input name="model.modelId" value="${paket?.payment?.id}" type="hidden">
									    #{authenticityToken /}
                                        <div class="tab-content">
                                            <div class="tab-pane active" id="tab1">
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <div class="toolbar">
                                                            <button class="btn btn-sm btn-primary add-button" type="button" >
                                                                <i class="fa fa-search"></i>
                                                                &{'cari_pengiriman.label'}
                                                            </button>
                                                        </div>
                                                        <div style="overflow-x: auto">
                                                            <table class="table table-condensed table-responsive">
                                                                <thead>
                                                                <tr>
                                                                    <th class="header-left">&{'nomor_dokumen.label'}</th>
                                                                    <th class="header-left">&{'tanggal_dokumen.label'}</th>
                                                                    <th class="header-left">&{'tanggal_penerimaan.label'}</th>
                                                                    <th class="header-left">&{'total.label'}</th>
                                                                    <th class="header-left">&{'deskripsi.label'}</th>
                                                                    <th></th>
                                                                </tr>
                                                                </thead>
                                                                <tbody class="front-list">
                                                                #{list items:paket?.payment?.acceptances, as:'item'}
                                                                <tr>
                                                                    <td><a href="${item.getAcceptanceDetailUrl()}" target="_blank">${item.getFormattedDocNumber()}</a></td>
                                                                    <td>${item.getReadableDocumentDate()}</td>
                                                                    <td>${item.getReadableAcceptanceDate()}</td>
                                                                    <td>${item.getFormattedTotal()}</td>
                                                                    <td>${item.description}</td>
                                                                    <td>
                                                                        <button class="btn btn-sm btn-danger delete-button" type="button" data-value="" data-id="${item.id}">
                                                                            <i class="fa fa-trash"></i>
                                                                        </button>
                                                                    </td>
                                                                </tr>
                                                                #{/list}
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="tab-pane" id="tab2">
                                                <div class="form-group">
                                                    <label class="control-label col-md-2">&{'total_harga.label'}</label>
                                                    <div class="col-md-3">
                                                        <input type="text" class="form-control total-price" disabled value=""/>
                                                    </div>
                                                </div>
                                                <div class="form-group required">
                                                    <label class="control-label col-md-2">&{'nomor_tagihan.label'}</label>
                                                    <div class="col-md-3">
                                                        <input type="text" name="model.invoiceNumber" value="${paket?.payment?.no_invoice}" class="form-control invoice-number" required/>
                                                    </div>
                                                </div>
                                                <div class="form-group required">
                                                    <label class="control-label col-md-2">&{'total_tagihan.label'}</label>
                                                    <div class="col-md-3">
                                                        <input type="text" name="model.totalInvoice" value="${paket?.payment?.getTotalInvoiceString()}" class="form-control total-invoice" required/>
                                                    </div>
                                                </div>
                                                <div class="form-group required">
                                                    <label class="control-label col-md-2">&{'tanggal_tagihan.label'}</label>
                                                    <div class="col-md-3">
                                                        <div class="input-group">
                                                            <input type="text" name="model.invoiceDate" value="${paket?.payment?.getInvoiceDate()}" class="form-control datepicker invoice-date" required/>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="form-group required">
                                                    <label class="control-label col-md-2">&{'tanggal_pembayaran.label'}</label>
                                                    <div class="col-md-3">
                                                        <div class="input-group">
                                                            <input type="text" name="model.paymentDate" value="${paket?.payment?.getPaymentDate()}" class="form-control datepicker payment-date" required/>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="form-group required">
                                                    <label class="control-label col-md-2">&{'unggah_bukti_pembayaran.label'}</label>
                                                    <div class="col-md-3">
                                                        <div class="input-group">
                                                            <input type="file" accept=".doc,.docx,.pdf" name="model.attachment" class="form-control file-input-name" required>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="control-label col-md-2">&{'catatan.label'}</label>
                                                    <div class="col-md-3">
                                                        <textarea class="form-control" rows="5" cols="50" name="model.description">${paket?.payment?.deskripsi}</textarea>
                                                    </div>
                                                </div>
                                            </div>
                                            <ul class="pager wizard">
                                                <li class="previous"><a href="#">&{'previous'}</a></li>
                                                <li class="next"><a href="#">&{'next'}</a></li>
                                            </ul>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

<div class="modal fade" id="myModal" role="dialog">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">&{'cari_pengiriman.label'}</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="input-group">
                            <input type="text" class="form-control modal-search-view" placeholder="&{'nomor_dokumen.label'}">
                            <span class="input-group-btn">
        <button class="btn btn-primary modal-search-button" type="button">&{'search'}</button>
      </span>
                        </div>
                    </div>
                </div>
                <div style="overflow-x: auto">
                    <table class="table table-condensed table-responsive">
                        <thead>
                        <tr>
                            <th class="header-left">&{'nomor_dokumen.label'}</th>
                            <th class="header-left">&{'tanggal_dokumen.label'}</th>
                            <th class="header-left">&{'paket.delivery_date'}</th>
                            <th class="header-left">&{'total.label'}</th>
                            <th class="header-left">&{'deskripsi.label'}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody class="modal-table-list">
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"> &{'close'}</button>
            </div>
        </div>
    </div>
</div>

#{paket.paketPembayaran action:action, json:paket?.payment?.getAcceptanceJson().raw(), searchUrl:paket?.getPaymentDeliverySearchUrl(), verification:true /}
